Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040RelatedEntity

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040RelatedEntityImpl

    public interface POCDMT000040RelatedEntity

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Related Entity'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Code`
- `Addr`
- `Telecom`
- `Effective Time`
- `Related Person`
- `Class Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040RelatedEntity()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAddr()` Returns the value of the 'Addr' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CE` | `getCode()` Returns the value of the 'Code' containment reference.
`IVLTS` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`POCDMT000040Person` | `getRelatedPerson()` Returns the value of the 'Related Person' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelecom()` Returns the value of the 'Telecom' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CE value)` Sets the value of the '`Code`' containment reference.
`void` | `setEffectiveTime(IVLTS value)` Sets the value of the '`Effective Time`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setRelatedPerson(POCDMT000040Person value)` Sets the value of the '`Related Person`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040RelatedEntity_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040RelatedEntity_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040RelatedEntity_TemplateId()`

### getCode

    CE getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CE)`, `CDAR2Package.getPOCDMT000040RelatedEntity_Code()`

### setCode

    void setCode(CE value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getAddr

    org.eclipse.emf.common.util.EList getAddr()

  Returns the value of the 'Addr' containment reference list. The list contents are of type `AD`.

  If the meaning of the 'Addr' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Addr' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040RelatedEntity_Addr()`

### getTelecom

    org.eclipse.emf.common.util.EList getTelecom()

  Returns the value of the 'Telecom' containment reference list. The list contents are of type `TEL`.

  If the meaning of the 'Telecom' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telecom' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040RelatedEntity_Telecom()`

### getEffectiveTime

    IVLTS getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference.

  If the meaning of the 'Effective Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040RelatedEntity_EffectiveTime()`

### setEffectiveTime

    void setEffectiveTime(IVLTS value)

  Sets the value of the '`Effective Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Effective Time' containment reference.
  See Also:
    `getEffectiveTime()`

### getRelatedPerson

    POCDMT000040Person getRelatedPerson()

  Returns the value of the 'Related Person' containment reference.

  If the meaning of the 'Related Person' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Related Person' containment reference.
  See Also:
    `setRelatedPerson(POCDMT000040Person)`, `CDAR2Package.getPOCDMT000040RelatedEntity_RelatedPerson()`

### setRelatedPerson

    void setRelatedPerson(POCDMT000040Person value)

  Sets the value of the '`Related Person`' containment reference.

  Parameters:
    `value` - the new value of the 'Related Person' containment reference.
  See Also:
    `getRelatedPerson()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040RelatedEntity_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `getClassCode()`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040RelatedEntity_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD